import { action, computed, makeObservable, observable } from 'mobx';

export interface TagsBulkAssignButtonStateParams {}

export class TagsBulkAssignButtonState {
  _disabledTooltipContent: string | null = null;

  constructor() {
    makeObservable(this, {
      _disabledTooltipContent: observable.ref,
      isDisabled: computed,
      tooltipContent: computed,
      setTooltipContent: action,
    });
  }

  get isDisabled() {
    return !!this._disabledTooltipContent;
  }

  get tooltipContent() {
    return this._disabledTooltipContent;
  }

  setTooltipContent(content: string | null) {
    this._disabledTooltipContent = content;
  }
}
